<?php
defined('_JEXEC') or die();

/**
 *
 * @package	VirtueMart
 * @subpackage Plugins  - Elements
 * @author Valérie Isaksen
 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2004 - 2011 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: $
 */

if (!class_exists('VmConfig'))
    require(JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_virtuemart' . DS . 'helpers' . DS . 'config.php');
/*
 * This class is used by VirtueMart Payment or Shipment Plugins
 * which uses JParameter
 * So It should be an extension of JElement
 * Those plugins cannot be configured througth the Plugin Manager anyway.
 */

JFormHelper::loadFieldClass('list');
jimport('joomla.form.formfield');


class JFormFieldPawPaymentMethod extends JFormFieldList {

    /**
     * Element name
     *
     * @access	protected
     * @var		string
     */
	var $type = 'pawpaymentmethod';

	protected function getInput() {
		$error = "";
		return $error.parent::getInput();
	}

	protected function getOptions() {
		$lang = JFactory::getLanguage();
		$lang->load('plg_vmpayment_payanyway');

		$plugin = JPluginHelper::getPlugin('vmpayment', 'payanyway');
		$ps = new JRegistry($plugin->params);
		$systems = $ps->toArray();

		$options = array();
		$values = array();
		foreach ($systems  as $k => $v){
			$raw_name = explode("_", $k);
			$text = $lang->_('VMPAYMENT_PAYANYWAY_METHOD_'.strtoupper($raw_name[0]));
			if (($raw_name[1] === '0') || ($raw_name[1] === '1' && extension_loaded('soap') && extension_loaded('libxml')))
				$values[] = array( 'value' => $k ,'text' => $text);
		}

		foreach ($values as $v) {
			$options[] = JHtml::_('select.option', $v['value'], $v['text']);
		}

		return $options;
	}

}